var condition = {
    key: '',
    filter: '',
    page: 1,
    end: false,
    search:false
};
$('#close').tap(function () {
    api.closeWin();
});

$('li[_filter]').tap(function () {
    var _filter = $(this).attr('_filter');
    if (!_filter) {
        return;
    }

    if ($('#' + _filter).is('.show')) {
        $('.subFilter').removeClass('show')
    } else {
        $('.subFilter').removeClass('show'), $('#' + _filter).addClass('show');
    }
});

$('body').delegate('.goods', 'click', function () {
    var gid = $(this).attr('gid');
    api.openWin({
        name: 'goodDetail',
        url: 'win_goodDetail.html',
        pageParam: {
            gid: gid
        }
    });
});
/**
 *filter
 */
$('body').delegate('.subFilter li', 'click', function () {
    var _condition = $(this).attr('_condition');
    condition.filter = _condition;
    condition.page = 1;
    getData();
})
function getData() {
    if(condition.page === false){
        return;
    }
    api.showProgress();
    var url = condition.search ? (condition.key=='tag' ? '/index.php?c=tag':('/index.php?c=content&a=search&modelid=8&kw='+condition.key)):('/index.php?c=content&a=list&catid=17&page=' + condition.page);
    api.ajax({
        url: url,
        dataType: 'text',
        data: condition,
        headers:{
            'X_REQUESTED_WITH':'XMLHttpRequest'
        }
    }, function (ret, err) {
        if (err&&err.msg) {
            alert(err.msg);
        } else {
            if(ret){
                $('#worldList').append(ret);
                //var el=$api.byId('worldList');
                //$api.html(el,ret);
                condition.page++;

            }else{
                condition.page = false;
                api.toast({
                    msg:'没有更多内容了！'
                })
            }
        }
        api.hideProgress();
    });
}

apiready = function () {
    api.addEventListener({
        name: 'scrolltobottom'
    }, function (ret, err) {
        getData();
    });
    getData();
}