var condition = {
    key: '',
    filter: '',
    page: 1,
    end: false,
    search:false
};
$('#close').tap(function () {
    api.closeWin();
});

$('li[_filter]').tap(function () {
    var _filter = $(this).attr('_filter');
    if (!_filter) {
        return;
    }

    if ($('#' + _filter).is('.show')) {
        $('.subFilter').removeClass('show')
    } else {
        $('.subFilter').removeClass('show'), $('#' + _filter).addClass('show');
    }
});
/**
 *filter
 */
$('body').delegate('.subFilter li', 'click', function () {
    var _condition = $(this).attr('_condition');
    condition.filter = _condition;
    condition.page = 1;
    getData();
})
function getData() {
    if(condition.page === false){
        return;
    }
    api.showProgress();
    var url = window._host+'index.php?c=content&a=search&modelid=8&carid=17&page='+condition.page+'&keywords=' + condition.key;
    api.ajax({
        url: url,
        dataType: 'text',
        headers:{
            'X_REQUESTED_WITH':'XMLHttpRequest'
        },
        data: condition
    }, function (ret, err) {
        if (err&&err.msg) {
            alert(err.msg);
        } else {
            if(ret){
                $('#desList').append(ret);
                condition.page++;
            }else{
                condition.page = false;
                api.toast({
                    msg:'没有更多内容了！'
                })
            }
        }
        api.hideProgress();
    });
}

function getTags(){
    api.showProgress();
    var url = window._host+'index.php?c=content&a=linkage';
    api.ajax({
        url: url,
        dataType: 'text',
        headers:{
            'X_REQUESTED_WITH':'XMLHttpRequest'
        }
    }, function (ret, err) {
        if (err&&err.msg) {
            alert(err.msg);
        } else {
            if(ret){
                $('#areaList').html(ret);
                condition.key=$('.active .data').first().text();
                getData();
            }
        }
        api.hideProgress();
    });
}

apiready = function () {
    api.addEventListener({
        name: 'scrolltobottom'
    }, function (ret, err) {
        getData();
    });
    getTags();
};